/*hero section*/
.hero {
    grid-template-rows: repeat(2, min-content) 1fr;
}

.hero>*:not(.hero-image) {
    grid-column: 2/3;
    z-index: 1;
    text-align: center;
}

.hero-title {
    grid-row: 1/2;
    letter-spacing: 1px;
}

.hero-image {
    height: 520px;
    grid-column: 1/-1;
    grid-row: 1/-1;
    position: relative;
}

.hero-image>video {
    width: 100%;
    height: 520px;
    object-fit: cover;
}

.hero-image:after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: rgba(var(--rgb-green-dark), .86);
}

@media (max-width: 767px) {

    .hero-image,
    .hero-image>picture>img {
        height: 520px;
    }
}

/*hero section END*/

/*presentation*/
.presentation {
    display: grid;
    grid-template-columns: 1fr 520px;
    column-gap: 80px;
}

.presentation-image>img {
    min-height: 402px;
    object-fit: cover;
}

@media (max-width: 1148px) {
    .presentation {
        grid-template-columns: 1fr 1fr;
        column-gap: 24px;
    }
}

@media (max-width: 870px) {
    .presentation {
        grid-template-columns: 1fr;
    }
    .presentation-image {
        max-width: 100%;
    }
}

/*presentation END*/


/*trackman*/
.trackman {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 92px repeat(4, min-content) 92px;
    align-items: start;
    justify-items: start;
    color: var(--white);
}

.trackman>img,
.trackman>picture {
    grid-column: 2/3;
    grid-row: 1/-1;
    align-self: center;
}

@media (max-width: 768px) {
    .trackman {
        grid-template-columns: 1fr;
        grid-template-rows: 92px repeat(5, min-content) 92px;
        justify-items: center;
        text-align: center;
    }

    .trackman>img,
    .trackman>picture {
        grid-column: 1/2;
        grid-row: 5/6;
    }

    .trackman>.btn {
        width: 100%;
    }
}

/*trackman END*/

/*puttlab section*/
.puttlab {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 100px;
    column-gap: 30px;
}

.putt-grid {
    display: grid;
    grid-template-rows: 73px repeat(3, min-content);
    row-gap: 8px;
}


@media (min-width: 768px) {
    .hidden-on-desktop {
        display: none !important;
    }
}

@media (max-width: 768px) {
    .puttlab {
        grid-template-columns: 1fr;
        row-gap: 30px;
    }

    .hidden-on-mobile {
        display: none !important;
    }

    .putt-grid {
        justify-items: center;
        text-align: center;
    }
}

/*puttlab section END*/